// l61_regio_tory.scm 800
//Ra 2N5F: reorganizacja zgodnie z kierunkiem linii

//obsuga ruchu na linii 61
config joinduplicatedevents yes endconfig
include lk1/czo_2011r.ctr end //wstpny
include lk61/czs_2011r.ctr end
include lk61/gn_2011r.ctr end
include lk61/bln_2011r.ctr end
include lk61/hrs_2011r.ctr end
include lk61/lsw_2011r.ctr end
include lk61/lis_2011r.ctr end
include lk61/kwc_2011r.ctr end
include lk61/jw_2011r.ctr end
include lk61/lbc_2011r.ctr end
//include lk61/pwk_2011r.ctr end
//include lk61/pld_2011r.ctr end
//include lk61/fo_2011r.ctr end
//include lk61/ok_2011r.ctr end
//blokady liniowe (z eventami zajcia i zwolnienia) dla oryginalnego ukadu scenerii
include linia61/linia61.ctr end
config joinduplicatedevents no endconfig

//Ra 2K9N: oznaczenie, e przed semaforem F w Jawornicy czeka skad, wczeniej by uzaleniony od towarowego w Lublicu
event Jw_ItF:onstart updatevalues 0 Jw_ItF * * 1 endevent

//zamknita bocznica w Kochanowicach
include ip/pkp/d1.inc unikalnanazwa308 5438.255 280.987 -4952.984 134.809 0.0 0.0 40 end

//odgosy dworca w Czstochowie
node 250 0 dworzec_czo sound -20510 250 6840 odglosy_dworca_7m.wav endsound
event dworzec_czo_onstart sound 0 dworzec_czo 1 endevent //raz wystarczy

//koniec trasy w Czstochowie
node -1 0 o5188 model -20546.179 247.546 7219.705 178.754 wasyl/reklama_duza.t3d koniec_trasy endmodel

//odgosy stacji w Lublicu
node 250 0 dworzec_lbc sound 9900 263 -8150 odglosy_stacji_7m.wav endsound
event Lbc_odglosy sound 0 dworzec_lbc -1 endevent //raz wystarczy

//dzwieki:
node -1 0 gadka3 sound -19472.171 0 5636.087 radiotelefon/gadka3.wav endsound //CzS peron, OK
event gadka3 sound 3 gadka3 1 3 endevent

//==============================================================================
// komunikaty
//==============================================================================

node -1 0 wjazd_podany sound -16438.079 10 5414.68 radiotelefon/wjazd_podany.wav endsound //nieco przed Gn_ToA, odlecia na poudnie
event wjazd_podany sound 3 wjazd_podany 1 3 endevent

node -1 0 szumy sound -15271.728 0 4962.268 radiotelefon/szumy.wav endsound //przed Gn_D, odlecia na poudnie razem z "l61_jedziemy"
event szumy sound 0 szumy 1 3 endevent

node -1 0 przeszkadzajka23 sound -10510.706 0 3131.131 radiotelefon/przeszkadzajka23.wav endsound //Bln peron, odlecia
event przeszkadzajka23 sound 0 przeszkadzajka23 1 3 endevent

//==============================================================================
// wjazd na sz
//==============================================================================

node -1 0 8463_wjazd_na_zastepczy_2 sound -10527.022 0 3164.112 radiotelefon/8463_wjazd_na_zastepczy_2.wav endsound //Bln peron
event 8463_wjazd_na_zastepczy_2 sound 0 8463_wjazd_na_zastepczy_2 1 3 endevent

node -1 0 8463_wjazd_na_zastepczy_2a sound -4865.705 0 1000.692 radiotelefon/8463_wjazd_na_zastepczy_2.wav endsound //przed HrS_A, odlecia
event 8463_wjazd_na_zastepczy_2_herby sound 0 8463_wjazd_na_zastepczy_2a 1 3 endevent

node -1 0 8463_wjazd_na_zastepczy_2b sound 7860.889 0 -8536.933 radiotelefon/8463_wjazd_na_zastepczy_2.wav endsound //okolica Jw nastawni, odlecia
event 8463_wjazd_na_zastepczy_2_jaw sound 0 8463_wjazd_na_zastepczy_2b 1 3 endevent

//==============================================================================
// wjazd na sz
//==============================================================================

node -1 0 wyjazd_sz sound -10510.706 0 3131.131 radiotelefon/wyjazd_sz.wav endsound //Bln peron, odlecia
event wyjazd_sz sound 0 wyjazd_sz 1 3 endevent

node -1 0 szumy1 sound -10512.844 0 3125.525 radiotelefon/szumy1.wav endsound //Bln peron, odlecia
event szumy1 sound 1 szumy1 1 3 endevent

node -1 0 l61_jedziemy sound -15271.728 0 4962.268 radiotelefon/linia61/l61_jedziemy.wav endsound //przed Gn_D, odlecia na poudnie razem z "szumy"
event l61_jedziemy sound 0 l61_jedziemy 1 3 endevent

node -1 0 wygasl sound -4182.697 0 764.323 radiotelefon/wygasl.wav endsound //przed HrS_A, odlecia
event wygasl sound 3 wygasl 1 3 endevent

node -1 0 przeszkadzajka15 sound -3220.718 0 -11.337 radiotelefon/przeszkadzajka15.wav endsound //HrS przejazd (bocznica?), OK
event przeszkadzajka15 sound 45 przeszkadzajka15 1 3 endevent

node -1 0 8463_l61_przelot_przez_liswarte sound -2427.952 0 -539.582 radiotelefon/linia61/8463_l61_przelot_przez_liswarte.wav endsound //HrS, moe by
event 8463_l61_przelot_przez_liswarte sound 2 8463_l61_przelot_przez_liswarte 1 3 endevent

node -1 0 wjazd_podany1 sound 7592.452 0 -7460.17 radiotelefon/wjazd_podany1.wav endsound //za Jw_ToB, odlecia
event wjazd_podany1 sound 3 wjazd_podany1 1 3 endevent

node -1 0 8463_l61_liswarta_po_lewym sound -3496.852 0 6.296 radiotelefon/linia61/8463_l61_liswarta_po_lewym.wav endsound //HrS przejazd, moe by
event 8463_l61_liswarta_po_lewym sound 3 8463_l61_liswarta_po_lewym 1 3 endevent

node -1 0 8463_l61_jedziemy_man sound -974.213 0 -1231.635 radiotelefon/linia61/8463_l61_jedziemy_man.wav endsound //przed Lsw_A, mogoby bliej, bo sem. przestawiony
event 8463_l61_jedziemy_man sound 32 8463_l61_jedziemy_man 1 3 endevent

node -1 0 8463_bez_wjazdu sound -984.08 0 -1229.057 radiotelefon/8463_bez_wjazdu.wav endsound //przed Lsw_A, mogoby bliej, bo sem. przestawiony
event 8463_bez_wjazdu sound 3 8463_bez_wjazdu 1 3 endevent

node -1 0 pol_godz sound 9874.566 0 -8204.001 radiotelefon/pol_godz.wav endsound //Lbc peron, OK
event pol_godz sound 30 pol_godz 1 3 endevent

node 300 0 zapowiedz_osobowy sound 12645.056 0 1940.738 radiotelefon/zapowiedz_osobowy.wav endsound //Lbc peron, chyba usunity
event zapowiedz_osobowy sound 10 zapowiedz_osobowy 1 endevent

//
//ruch na liniach 1, 61 i 144 w stron Opola (1), LK143 na pnoc
//

//wyjazd z CzO
event en57_wyjazd_onstart multiple 170 none CzO_It19>CzS5 CzO_It19:loop endevent
event CzO_t22554:event2 multiple 20 none CzS_It5<CzO CzS_It5:loop endevent

//Ra 2H12: 5512 po dojechaniu do CzO powinien si obrci i zobaczy H19, skd powinien wzi rozkad
event 46035_rozklad updatevalues 0 CzO_H19_sem_mem Timetable:2011r\46035 0.1 0 endevent
event CzO_H19_sem_mem:sent multiple 0 none CzO_It19>CzS5 CzO_It19:loop endevent

//wyjazd ze Stradomia:
event ezt_str_ai:event2 multiple 0 memen57_wyjazdbug gadka3_raz wyjazd2 upen57_wyjazd endevent
event gadka3_raz multiple 0 memen57_wyjazdbug gadka3 lok_wjezdza condition memcompare * 0 0 endevent
node -1 0 memen57_wyjazdbug memcell -798 1 -1304.8 none 0 0 none endmemcell
event upen57_wyjazd updatevalues 0 memen57_wyjazdbug * 1 1 endevent

event wyjazd2 multiple 100 memwyjazd2bug CzS_It5>Gn1 CzS_It5:loop upwyjazd2 endevent
node -1 0 memwyjazd2bug memcell -798 1 -1304.8 none 0 0 none endmemcell
event upwyjazd2 updatevalues 0 memwyjazd2bug * 1 1 endevent

event stradom_zero:event2 multiple 0 memstradom_zerobug Gn_It2>CzS2 Gn_It2:loop stradom_wjazd_raz endevent
event stradom_wjazd_raz multiple 0 memstradom_zerobug CzS_It2<Gn2 CzS_It2:loop upstradom_zero condition memcompare * 0 0 endevent
node -1 0 memstradom_zerobug memcell -798 1 -1304.8 none 0 0 none endmemcell
event upstradom_zero updatevalues 0 memstradom_zerobug * 1 1 endevent

event lok_wjezdza multiple 0 none CzS_It2<Gn2 CzS_It2:loop losujgnaszyn_wj endevent

//uff... wyjechalimy, teraz Gnaszyn i losowy czas wyjazdu, 50procent

node -1 0 memgnaszyn_wj memcell -798 1 -1304.8 none 0 0 none endmemcell
event upgnaszyn_wj updatevalues 0 memgnaszyn_wj * * 1 endevent
event losujgnaszyn_wj multiple 0 none upgnaszyn_wj condition propability 0.5 endevent
event gnaszyn_wj:event2 multiple 0 none mul1gnaszyn_wj mul2gnaszyn_wj endevent
event mul1gnaszyn_wj multiple 0 memgnaszyn_wj gnaszyn1 condition memcompare * * 0 endevent
event mul2gnaszyn_wj multiple 0 memgnaszyn_wj gnaszyn2 condition memcompare * * 1 endevent

event gnaszyn1 multiple 2 none
Gn_It1=CzS1
Gn_It1:loop 
wjazd_podany //podany bdzie, gdy si ptle obrobi...
endevent

event gnaszyn2 multiple 2 none
Gn_It1<CzS1
Gn_It1:loop 
gnaszyn_wyjazd
wjazd_podany //podany bdzie, gdy si ptle obrobi...
endevent

event gnaszyn_wyjazd multiple 60 Gn_It1
Gn_It1>Bln1 //tu by wypadao sprawdzi, czy si ptla na torze zakoczya...
Gn_It1:loop 
l61_jedziemy else gnaszyn_wyjazd
condition memcompare * * 2 endevent

//gnaszyn odjazd + burza:

event gnod:event1 multiple 20 none losujblach losujpola endevent

node -1 0 memblach memcell -798 1 -1304.8 none 0 0 none endmemcell
event upblach updatevalues 0 memblach * * 1 endevent //wyjazd drezyny moliwy tylko raz, ale jeli si nie wylosuje, to moe nastpnym razem jecha
event upblach2 updatevalues 0 memblach * 1 * endevent  //drezyna wyjechaa
event losujblach multiple 0 none upblach condition propability 0.5 endevent
event blach:event1 multiple 0 memblach blach_1 upblach2 else blach_2 condition memcompare * 0 1 endevent

//drezyna odjezdza od razu (tzn. niby tylko zatrzymuje si na moment przy unieruchomionym towarowym, bo nagranie mwi o przelocie)
event blach_1 multiple 3 none Bln_It2>Gn2 Bln_It2:loop przeszkadzajka23 po_drezynie endevent

//Ra 2F9S: jeli drezyna nie jedzie, to nie uruchamia kolejnego losowania i wyjazd musi by torem 4 (bo 2 zajty)
event blach_2 multiple 0 none pola1 endevent

//wjazd do Blachowni na 2 warianty:

//===========================
node -1 0 mempola memcell -798 1 -1304.8 none 0 0 none endmemcell
event uppola updatevalues 0 mempola * 1 1 endevent
event losujpola multiple 0 none uppola condition propability 0.5 endevent
event po_drezynie multiple 30 mempola pola1 else pola1 condition memcompare * 0 0 endevent //Ra 2G9S: byo "pola1 else pola3", ale na razie nie dziaa Sz
//Ra 2IBD: podawanie wjazdu do Blachowni przez wyjazd drezyny robi problemy dalszemu ruchowi
//===========================

//Ra 2F9S: jazda torem 4, mona jeszcze dla odmiany omin drezyn na torze 2
event drezyna_10:event1 multiple 0 none Bln_P_sz1 endevent //to nie moe by za wczenie

//Blachwnia normalna (S12 na Bln_A nie moe by, bo nie ma przebiegw bokiem bez zatrzymania):
event pola1 multiple 10 Bln_It4 Bln_It4<Gn1 Bln_It4:loop robl Bln_It4_n>HrS2 else pola6 condition memcompare * * 0 endevent
event pola6 multiple 10 Bln_It6 Bln_It6<Gn1 Bln_It6:loop robl Bln_It6_n>HrS2 else pola1 condition memcompare * * 0 endevent

//Blachownia wjazd na Sz //Ra 2G9S: na razie sterowanie nie obejmuje podawania Sz, wjazd na tor 2 z 1 te wtpliwy technicznie (urzdzenia mechaniczne)
event pola3 multiple 0 none Bln_3:- robl polasz Bln_4:bc 8463_wjazd_na_zastepczy_2 endevent
event polasz multiple 3 none Bln_A_sz1 endevent
event robl multiple 20 none szumy1 herby_ezt2000 losujherby_wjazd endevent

//odjazd ptysia z Herbow -- Ra 2F9N: przestawiem na tor z semaforem
//Ra 2F9S: teraz jedzie torem 1, bo tam stoi towarowy
event herby_ezt2000 multiple 0 HrS_It8 else HrS_It8>Bln1 HrS_It8:loop spychanie condition memcompare * * 0 endevent //szlak nie jest zajty, pocig utkn w stacji
//Ra 2F9N: jakby go odpali wczeniej, to mgby zepchn skad w Blachowni
//Ra 2FA2: i mona by wtedy jecha po prawym do Herbw Starych (wtedy robi opnienie).
//Ra 2FA2: w ogle to tam mijanka z 5512 z Lublica powinna by - moe go da zamiast drezyny?
//Ra 2K1E: moe zadziaa spychanie?
event spychanie updatevalues 0 Bln_Z_sem_mem Shunt -1 3 endevent //-1=podpicie z dalsz jazd, 3=sprzg+spychanie
event Bln_Z_sem_mem:sent multiple 0 none Bln_Z_Sz1 /*Bln_Tm4_Ms2*/ endevent //Ra 2K1E: niekoniecznie poprawne sygnay, ale moe nikt si nie doczepi; e staje na Tm4, to kto zrba skanowanie
//Ra 2K1E: kto zrba skanowanie i spychajca staje przed Tm4, a jak si poda Ms2, to wepcha skad w peron

//no i Herby, wjazd. normalny i wygasniecie
node -1 0 memherby_wjazd memcell -798 1 -1304.8 none 0 0 none endmemcell
event upherby_wjazd updatevalues 0 memherby_wjazd * 1 1 endevent
event upherby_wjazd_0 updatevalues 0 memherby_wjazd * 0 0 endevent
event losujherby_wjazd multiple 0 none upherby_wjazd else upherby_wjazd_0 condition propability 0.1 endevent
event roboty_torowe12:event2 multiple 0 Bln2-Hrs2 HrS_Bln2_tor1 else herby_nietowar condition memcompare T* * * endevent
event HrS_Bln2_tor1 multiple 15 HrS_It1 HrS_It1<Bln2 HrS_It1:loop HrS_It1_n>Lsw1 else HrS_Bln2_tor1 condition memcompare * * 0 endevent //jeli tor nie jest wolny, czeka
event herby_nietowar multiple 0 memherby_wjazd herby_good else herby_bad condition memcompare * 0 0 endevent
event herby_good multiple 0 HrS_It4 HrS_It4<Bln2 HrS_It4:loop losujherby_odjazd losujliswarta_l endevent
event herby_bad multiple 0 HrS_It4 HrS_It4<Bln2 HrS_It4:loop endevent
event t604:event2 multiple 7 memherby_wjazd else HrS_B_s1 wygasl nasz1 losujherby_odjazd losujliswarta_l condition memcompare * 0 0 endevent
event nasz1 multiple 10 none 8463_wjazd_na_zastepczy_2_herby nasz endevent
event nasz multiple 5 none HrS_B_sz1 endevent

//AI w Herbach: wjazd od Liswarty torem 2
event hs_starttow:event2 multiple 15 none HrS_Lsw2_tor2 towarek_wjezdza Ra_2H11_dekor endevent //Ra 2H11: puszczamy dekoracje na lini
event HrS_Lsw2_tor2 multiple 15 HrS_It2 HrS_It2<Lsw2 HrS_It2:loop HrS_It2_n>Bln2 else HrS_Lsw2_tor2 condition memcompare * * 0 endevent //jeli tor nie jest wolny, czeka
//event t33574:event2 multiple 40 none HrS_C_s2 HrS_7:ac herby_odjazd1 endevent //Ra 2FA2: byo HrS_C_s1, ale nie otwarty nigdzie.. //tor si nazywa teraz Herby_Stare#R
//event t509:event2 multiple 30 HrS_It2 else HrS_It2>Bln2 HrS_It2:loop condition memcompare * 0 0 endevent
event Ra_2H11_dekor multiple 130 Jw_ItF else Jw_ItF>Kwc2 Jw_ItF:loop /*Lbc_It7>Jw2 Lbc_It7:loop*/ condition memcompare * * 0 endevent //wyjazd dekoracji na lini 61

node -1 0 none eventlauncher 0 0 0 -1 none 0615 Ra_2IBC_dekor none end //Ra 2IBC: teraz odpalamy towarowego o okrelonej godzinie
event Ra_2IBC_dekor multiple 0 Lbc_It7 else Lbc_It7>Jw2 Lbc_It7:loop condition memcompare * * 0 endevent //wyjazd dekoracji z Lublica na lini 61

//odjazd z Herbw: do Liswarty po 1 na S2 albo po 2 na S10+W24.
//Ra 2F9N: do Herbw Starych powinien jecha po lewym, bo inaczej na 30km/h apie 3 minuty opnienia
//Ra 2F9N: dlatego daem wiksze prawdopodobiestwo jazdy po lewym do Liswarty

node -1 0 memherby_odjazd memcell -798 1 -1304.8 none 0 0 none endmemcell
event upherby_odjazd updatevalues 0 memherby_odjazd * 1 1 endevent
event upherby_odjazd0 updatevalues 0 memherby_odjazd * 0 0 endevent //przywrcenie losowania
event losujherby_odjazd multiple 0 none upherby_odjazd condition propability 0.6 endevent //raczej po lewym przez Liswart
event herby_odjazd1 multiple 0 memherby_odjazd herby_p else herby_l condition memcompare * 0 0 endevent
event hs_naszodjazd:event1 multiple 40 memherby_odjazd test_blokady_1 herby_pz4 else test_blokady_2 herby_lz4 condition memcompare * 0 0 endevent

//Ra 2J7D: to nie jest uywane, pki co nie dziaa wjazd na tor 1 od Blachowni
event herby_p multiple 10 none HrS_R_s2 /* HrS_It1>Lsw1 HrS_It1:loop */ towarek_wjezdza przeszkadzajka15 endevent
event herby_l multiple 15 none
/* HrS_It1>Lsw2 HrS_It1:loop */ 
HrS_R_s10
HrS_R_w24
HrS_34:ad
przeszkadzajka15
HrS_37:ad
towarek_wjezdza
8463_l61_liswarta_po_lewym
endevent

//sprawdzenie blokady liniowej przed wyborem toru, bo si EZT suky nad lini 131 - prba rezerwacji jak to robi skrypt
event test_blokady_1 updatevalues 0 HrS1-Lsw1 HrS_It4 1 * condition memcompare free * 0 endevent
event herby_pz4 multiple 5 HrS1-Lsw1 HrS_It4>Lsw1 HrS_It4:loop przeszkadzajka15 else test_blokady_2 herby_lz4 condition memcompare HrS_It4 1 * endevent
event test_blokady_2 updatevalues 0 HrS2-Lsw2 HrS_It4 1 * condition memcompare free * 0 endevent
event herby_lz4 multiple 5 HrS2-Lsw2
HrS_It4>Lsw2 HrS_It4:loop
przeszkadzajka15
towarek_lis
8463_l61_liswarta_po_lewym
upherby_odjazd0
else test_blokady_1 herby_pz4
condition memcompare HrS_It4 1 * endevent

event towarek_wjezdza multiple 0 HrS_It6 HrS_It6<Kln1 HrS_It6:loop przeszkadzajka15 condition memcompare * * 0 endevent //na tor 8? chyba zajty?

//Liswarta po lewym i losowy czas oczekiwania na woln drog
event liswarta:event1 multiple 2 none liswarta_l endevent
node -1 0 memliswarta_l memcell -541 273 -1438 none 0 0 none endmemcell
event upliswarta_l updatevalues 0 memliswarta_l * 1 1 endevent //"brak dojcia"
event upliswarta_0 updatevalues 0 memliswarta_l * 0 0 endevent
event losujliswarta_l multiple 0 none upliswarta_l else upliswarta_0 condition propability 0.5 endevent
event liswarta_l multiple 5 memliswarta_l Lsw_ItF_oile l1 else l2 Lsw_ItA>Lis2 Lsw_ItA:loop ls_tow1 condition memcompare * 0 0 endevent
event towarek_lis multiple 5 memliswarta_l towarek_lis1 condition memcompare * 0 0 endevent //towarowy ma czeka w Liswarcie
event towarek_lis1 multiple 5 Lis_It4 else Lis_It4>Lsw2 Lis_It4:loop Lis_HrS_towar_2 condition memcompare * * 0 endevent //wypuszczenie towarowego z Lisowa na tor 2

node -1 0 Lis_HrS_towar memcell -541 273 -1438 none 0 0 none endmemcell
event Lis_HrS_towar_2 updatevalues 0 Lis_HrS_towar * * 2 endevent //jedzie towarowy torem 2, poda F w Liswarcie
event Lis_HrS_towar_0 updatevalues 0 Lis_HrS_towar * * 0 endevent
event Lsw_ItF_oile multiple 0 Lis_HrS_towar Lsw_ItF>HrS1 Lsw_ItF:loop Lis_HrS_towar_0 condition memcompare * * 2 endevent //towarowy jedzie torem 2, puszczamy do Herbw Starych

//Liswarta odjazd //Ra 2FB4: na lewy
event l1 multiple 60 none Lsw_ItA>Lis2 Lsw_ItA:loop endevent //5511 czeka na obsug towarowego w Liswarcie
event l2 multiple 60 Lis_It4 else Lsw_ItE>HrS2 Lsw_ItE:loop condition memcompare * * 0 endevent //towarowy jedzie torem 1, puszczamy do Herbw Starych

//wywoany wczeniej w torze komunikat o oczekiwaniu "brak dojcia"
event hs_wj1:event1 multiple 0 memliswarta_l 8463_bez_wjazdu condition memcompare * 0 0 endevent

//Liswarta po prawym i przelot + wygaszenie po przejedzie
event lis_p:event1 multiple 0 none 8463_l61_przelot_przez_liswarte Lsw_ItB>Lis1 Lsw_ItB:loop ls_tow2 endevent

//wyjazd SM42 z drewnem z Lisowa w kierunku Liswarty
event ls_tow2 multiple 0 Lis_It4 else Lis_It4>Lsw2 Lis_It4:loop Lsw_ItF>HrS2 Lsw_ItF:loop condition memcompare * * 0 endevent
//Ra 2FB4: moe towarowy na lewy niech jedzie
event ls_tow1 multiple 30 Lis_It4 else Lis_It4>Lsw1 Lis_It4:loop condition memcompare * * 0 endevent

//Ra 2F9N: do Lisowa raczej po lewym, bo inaczej tylko zwiksza opnienie

//Lisw wjazd prawym uruchamiany w okolicy powtarzacza
event lisow_wj:event2 multiple 0 Lsw1-Lis1 Lis_It5<Lsw1 Lis_It5:loop else lisow_nietowar11 condition memcompare TME* * * endevent
event lisow_nietowar11 multiple 0 Lis_It5 Lis_It1<Lsw1 Lis_It1:loop losujkoch_wj else Lis_It2<Lsw1 Lis_It2:loop losujkoch_wj condition memcompare * * 0 endevent //jeli towar czeka, to na tor 2 od razu
//Ra 2FB4: a tu gdy do Lisowa po lewym (ale trzeba by sprawdzi, czy towarowy si ju zwin):
event przelot_cell:event2 multiple 0 none Lis_It2<Lsw2 Lis_It2:loop losujkoch_wj endevent

//prosty wyjazd z Lisowa //Ra 2FB4: z opcj na lewo
event Lisw#F:event1 multiple 10 none Lis_It1>Kwc1 Lis_It1:loop else Kwc_tor2_rezerwuj Lis_It1>Kwc2 Lis_It1:loop condition propability 0.2 endevent
//Ra 2FB4: wyjazd w Lisowie z lewego, do Kochanowic tylko po lewym da si jecha:
event Lisw#E:event1 multiple 30 none Kwc_tor2_rezerwuj Lis_It2>Kwc2 Lis_It2:loop endevent //Ra 2G22: EN71 z Lublica zapali wyjazd na Kochanowice
event losuj_kochanowice:event2 multiple 0 Kwc_It2 Kwc_Lis2_tor2 else Kwc_Lis2_tor1 condition memcompare * * 0 endevent
event Kwc_Lis2_tor1 multiple 10 Kwc_It1 Kwc_It1<Lis2 Kwc_It1:loop else Kwc_Lis2_tor2 condition memcompare * * 0 endevent
event Kwc_Lis2_tor2 multiple 10 Kwc_It2 Kwc_It2<Lis2 Kwc_It2:loop else Kwc_Lis2_tor1 condition memcompare * * 0 endevent
event Kwc_Ig12:free multiple 0 Kwc_It8 Kwc_wyjazd else Kwc_It8>Lis2 Kwc_It8:loop Kwc_wyjazd condition memcompare * * 0 endevent //Ra 2G6B: z izolowanego, bo byy problemy przy 3EN57
event Kwc_wyjazd multiple 30 Kwc_It2 else Kwc_It2>Jw2 Kwc_It2:loop condition memcompare * * 0 endevent //Ra 2GCR: wyjazd tylko, jeli co na torze (EN71 nie odpala)
event kochanowice_ep09:event1 multiple 0 Kwc1-Jw1 L61-p148.5_zamykaj Jw_ItA>Lbc5 Jw_ItA:loop /* else jaw_towarowy condition memcompare TME* * * */ endevent

//Kochanowice - losowanie (jazda po prawym do Kochanowic)
//event wjazd_do_lisowa:event2 multiple 0 Kwc_It1 Kwc_It1<Lis1 Kwc_It1:loop else Kwc_It2<Lis1 Kwc_It2:loop condition memcompare * * 0 endevent
node -1 0 memkoch_wj memcell -798 1 -1304.8 none 0 0 none endmemcell
event upkoch_wj updatevalues 0 memkoch_wj * 1 1 endevent
event losujkoch_wj multiple 0 none upkoch_wj condition propability 0.7 endevent
event Kwc_ToA:event2 multiple 0 Lis1-Kwc1 Kwc_Lis1_tor1 else kwc_nietowar11 condition memcompare T* * * endevent
event Kwc_Lis1_tor1 multiple 10 Kwc_It1 Kwc_It1<Lis1 Kwc_It1:loop Kwc_It1_n>Jw1 else Kwc_Lis1_tor1 condition memcompare * * 0 endevent
event kwc_nietowar11 multiple 0 memkoch_wj koch1 else koch2 condition memcompare * 1 1 endevent

//Kochanowice - realizacja wylosowanej opcji (wjazd z prawego)
node -1 0 Kwc_tor1 memcell -798 1 -1300.8 none 0 0 none endmemcell
event Kwc_F:event1 whois 0 Kwc_tor1 1 endevent //co wjechao na tor 1?
event koch1 multiple 5 Kwc_It1 Kwc_It1<Lis1 Kwc_It1:loop koch_ic else koch1 condition memcompare * * 0 endevent
event koch2 multiple 35 Kwc_It1 Kwc_It1<Lis1 Kwc_It1:loop koch_ic2 else koch2 condition memcompare * * 0 endevent
event koch_ic multiple 0 none endevent
event koch_ic2 multiple 35 none endevent
event none312:event1 multiple 0 Kwc_tor1 else kodj condition memcompare TME* * * endevent //jazda torem 1 w Kochanowicach - towarowy ju obsuony
event kodj multiple 30 none Kwc_It1>Jw2 Kwc_It1:loop losujjawornica jaw_towarowy_l endevent

//komrka rezerwacyjna dla osobowych - zrzuca towarowe jadce od Jawornicy na tor 8, zamiast dawa im przelot przy peronie
node -1 0 Kwc_tor2 memcell -798 1 -1304.8 none 0 0 none endmemcell
event Kwc_tor2_rezerwuj updatevalues 0 Kwc_tor2 * * 1 endevent
event Kwc_It2:free updatevalues 0 Kwc_tor2 * * 0 endevent //jak odjedzie, to mona uy
event Jw_ToA:event1 multiple 0 Kwc_tor2 Kwc_Jw2_tor2 else Kwc_Jw2_tor8 condition memcompare * * 0 endevent
event Kwc_Jw2_tor2 multiple 10 Kwc_It2 Kwc_It2=Jw2 Kwc_It2:loop else Kwc_Jw2_tor2 condition memcompare * * 0 endevent
event Kwc_Jw2_tor8 multiple 10 Kwc_It8 Kwc_It8<Jw2 Kwc_It8:loop else Kwc_Jw2_tor8 condition memcompare * * 0 endevent

//Ra 2K9M: automatyczny przejazd z Lublica przez Jawornic - wybranie wolnego toru
//Ra 2K9N: pki co do Kochanowic tylko torem prawym, eby nie robi tam wjazdu z lewego - bdzie prociej i powinno dziaa
event Lbc_C2:event1 multiple 0 Kwc2-Jw2 Jw_ItE>Kwc2 Jw_ItE:loop else jaw_towarowy condition memcompare free * 0 endevent //jeli blokada wolna, robi przebieg od razu
//Jawornica - odjazd towarowego EU07-15xx - ptla czekajca na zwolnienie szlaku
event jaw_towarowy multiple 15 Kwc2-Jw2 Jw_ItE>Kwc2 Jw_ItE:loop else jaw_towarowy condition memcompare free * 0 endevent //else jaw_towarowy_l
event jaw_towarowy_l multiple 15 Kwc1-Jw1 Jw_ItE>Kwc1 Jw_ItE:loop else jaw_towarowy condition memcompare free * 0 endevent

/*
//podg Jawornica + wygasniecie semafora losowe (z Kwc do Jawornicy tylko po lewym)
//Ra 2K9M: losowanie odpalane torem za Kwc_26 (kiedy nie byo przejcia Kwc_27/Kwc_28 i do Jawornicy jechao si prawym)
//Ra 2K9M: przerobione na odpalanie dla jazdy torem prawym, ju za rozjazdem Kwc_27; eventy wjazdu z lewego s wyej
//Ra 2K9M: jednak wjazd z Kwc1-Jw1 jest zrobiony niej, z rozrznieniem towarowych na Droniowiczki
node -1 0 memjawornica memcell -798 1 -1304.8 none 0 0 none endmemcell
event upjawornica0 updatevalues 0 memjawornica * 0 0 endevent
event upjawornica updatevalues 0 memjawornica * 1 1 endevent
event losujjawornica multiple 0 none upjawornica else upjawornica0 condition propability 0.8 endevent
event Kwc_R:event1 multiple 0 memjawornica jaw_good else jaw_bad condition memcompare * 0 0 endevent

event jaw_good multiple 15 none
Jw_ItB>Lbc5 Jw_ItB:loop
wjazd_podany1
L61-p148.5_zamykaj
jaw_towarowy
endevent

event jaw_bad multiple 15 none
Jw_ItB>Lbc5 Jw_ItB:loop
wjazd_podany1
L61-p148.5_zamykaj
jaw_towarowy
endevent
*/
/* 
//Ra 2K67: nieprawidowo dziaajce losowanie wjazdu do Lublica
//Ra 2K9M: tor "losuj_lbc" jest w torze 1, zaraz przed Jw_B
event losuj_lbc:event2 multiple 23 none
Jw_ItB>Lbc5 Jw_ItB:loop
wygasl
zastepczy
endevent

event zastepczy multiple 30 none
jaw_mrugam
8463_wjazd_na_zastepczy_2_jaw
endevent

event jaw_mrugam multiple 15 none
Jw_B_sz1
//jaw_towarowy
endevent
*/

//=================================================================================================================
//Lubliniec bez problemw
//=================================================================================================================

//Ra 2J4S: trzeba rozrni wjedajce, bo ten na Opole nie moe jecha na skrajny lewy
node -1 0 Lbc_od_Jw memcell 8188 260 -8492 none 0 0 none endmemcell
event t2lbca:event2 whois 0 Lbc_od_Jw 7 endevent
event t2lbcb:event2 multiple 0 Lbc_od_Jw Lbc_od_Jw_tor5ROJ else Lbc_od_Jw_tor5 condition memcompare ROJ* 0 1 endevent
event Lbc_od_Jw_tor5ROJ multiple 0 none Lbc_It5<Jw1 Lbc_It5:loop Lbc_odglosy lbc2:event2 endevent
event Lbc_od_Jw_tor5 multiple 0 none Lbc_It5<Jw1 Lbc_It5:loop Lbc_It5_n>Pwk1 endevent //Ra 2J4S: S13 jest na filmie Iwana, wyjazd po zajciu

event lbc2:event2 multiple 0 none pol_godz ozimek
endevent

event ozimek multiple 30 none
zapowiedz_osobowy
endevent

//
//ruch na liniach 61 i 144 w stron Czstochowy (2)
//

//Ra 2IBC: popiecha wpuszczamy o okrelonej godzinie
node -1 0 none eventlauncher 0 0 0 -1 none 0632 Ra_2IBC_ozimek none end
event Ra_2IBC_ozimek multiple 50 none
Lbc_It3<Pwk1
Lbc_It3:loop
lbc_5514
endevent
node -1 0 none eventlauncher 0 0 0 -1 none 0636 Ra_2IBC_Lbc_J3 none end
event Ra_2IBC_Lbc_J3 multiple 30 Lbc_It3
else
Lbc_It3>Jw2 Lbc_It3:loop
condition memcompare * * 0
endevent


//=================================================================================================================
//Koniec :) @macius5991, 08.2013r.
//=================================================================================================================

//Ra 2H11: a jeszcze z Lublica o 05.29 jedzie 5512 (i wytacza si z krzakw)
event Lbc_X_onstart multiple 40 none L61-p152.6_zamykaj Lbc_X_start endevent
event Lbc_X_start multiple 20 none Lbc_X_Ms2 Lbc_It3_n>Jw2 endevent //Ra 2N5R: teraz wyjazd synchronizowany rozkadem po zajciu toru
//node -1 0 none eventlauncher 0 0 0 -1 none 0528 lbc_odjazd5512 none end
//event lbc_odjazd5512 multiple 57 Lbc_It3 else Lbc_It3>Jw2 Lbc_It3:loop condition memcompare * * 0 endevent

//Ra 2FB4: w Lublicu dostaje rozkad powrotny, jak w osobowy_3
node -1 0 none eventlauncher 0 0 0 -1 none 0641 odj_lbc_2 none end
event odj_lbc_2 multiple 100 Lbc_It5 else Lbc_It5>Jw2 Lbc_It5:loop condition memcompare * * 0 endevent

//wjazd do Lisowa od Kochanowic torem 2
event Kwc_towar:event2 multiple 10 Lis_It2 Lis_It2=Kwc2 Lis_It2:loop endevent

//wjazd do Liswarty od Lisowa torem 2, dalej zalenie, ktry jest wolny
//Ra 2J4S: testowanie wolnego szlaku, bo mi dwa EZT stany naprzeciw siebie: nie jest to optymalne rozwizanie w poczeniu z "lewym do Liswarty"
//Ra 2J4S: przy wyborze jazdy lewym z Herbw do Liswarty trzeba te zarzdza puszczaniem skadw z Lisowa do Herbw: towarowy moe poczeka, ale osobowe lepiej nie
event losuj_lisow:event1 multiple 10 Lsw_ItF Lsw_ItF_HrS2 endevent //nieco przed Lsw_ToF
event Lsw_ItF_HrS1 multiple 0 none Lsw_ItF_HrS1_1 Lsw_ItF_HrS1_2 endevent
event Lsw_ItF_HrS1_1 updatevalues 1 HrS1-Lsw1 Lsw_ItF 2 0 condition memcompare free * 0 endevent
event Lsw_ItF_HrS1_2 multiple 5 HrS1-Lsw1 Lsw_ItF>HrS1 Lsw_ItF:loop else Lsw_ItF_HrS2 condition memcompare Lsw_ItF 2 0 endevent
event Lsw_ItF_HrS2 multiple 0 none Lsw_ItF_HrS2_1 Lsw_ItF_HrS2_2 endevent
event Lsw_ItF_HrS2_1 updatevalues 1 HrS2-Lsw2 Lsw_ItF 2 0 condition memcompare free * 0 endevent
event Lsw_ItF_HrS2_2 multiple 5 HrS2-Lsw2 Lsw_ItF>HrS2 Lsw_ItF:loop else Lsw_ItF_HrS1 condition memcompare Lsw_ItF 2 0 endevent

//wjazd z lewego od Liswarty z testowaniem, czy docelowy tor jest wolny
event lis_p:event2 multiple 5 none HrS_Lsw1_tor2 endevent
event HrS_Lsw1_tor2 multiple 10 HrS_It2 HrS_It2<Lsw1 HrS_It2:loop HrS_It2_n>Bln2 else HrS_Lsw1_tor2 condition memcompare * * 0 endevent

//Ra 2FB3: podawanie rozkadu robi problemy z widocznoci W4 w skanowaniu...
event lbc_5514 updatevalues 0 Lbc_J5_sem_mem Timetable:2011r\4\5514 0.1 0 endevent

event HrS_B:event1 multiple 110 Bln_It2 Bln_moze_2 else Bln_moze_4 condition memcompare * * 0 endevent
event Bln_moze_2 multiple 10 Bln_It2 Bln_It2=HrS2 Bln_It2:loop else Bln_moze_4 condition memcompare * * 0 endevent
event Bln_moze_4 multiple 10 Bln_It4 Bln_It4<HrS2 Bln_It4_n>Gn2 Bln_It4:loop else Bln_moze_6 condition memcompare * * 0 endevent //czeka na wolny
event Bln_moze_6 multiple 10 Bln_It6 Bln_It6<HrS2 Bln_It6_n>Gn2 Bln_It6:loop else Bln_moze_2 condition memcompare * * 0 endevent

//Gnaszyn
event Gn_It4:onstart multiple 170 Gn_It4 else Gn_It4>CzS2 Gn_It4:loop condition memcompare * * 0 endevent //wypuszczenie ozdobnego z Gnaszyna na CzO
event t612:event1 multiple 0 none Gn_It2=Bln2 Gn_It2:loop CzS_It2<Gn2 CzS_It2:loop endevent

//Stradom
event CzS_P2:event1 multiple 5 none CzS_It2>CzO CzS_It2:loop endevent //2G8H Ra: do CzO

//Czstochowa Osobowa
event CzS_E:event1 multiple 10 CzO_It19 CzO_It19<CzS5 CzO_It19:loop else CzO_It15<CzS5 CzO_It15:loop CzO_It15_n>Wy2 condition memcompare * * 0 endevent

//wyjazdy z CzO
node -1 0 czo_tor19 memcell -798 1 -1304.8 Lubliniec 0 0 none endmemcell //informacja o pocigu, ktry wjecha pod dworzec
event CzO_H19:event1 whois 0 czo_tor19 9 endevent //docelowa stacja

config joinduplicatedevents yes endconfig
event CzO_It19:busy multiple 5 czo_tor19 46035_rozklad else CzO_It19_2 condition memcompare Czstochowa_Osobowa * * endevent //5512 dajemy nowy rozkad
event CzO_It19:busy multiple 5 czo_tor19 CzO_It19>CzS5 CzO_It19:loop condition memcompare Lubliniec * * endevent //zajty na starcie, jedzie do Lublica
config joinduplicatedevents no endconfig

event CzO_It19_2 multiple 5 czo_tor19 else CzO_It19_3 condition memcompare Czstochowa_Osobowa * * endevent //inne ni 5511 jad na Wyczerpy
event CzO_It19_3 multiple 5 czo_tor19 else CzO_It19_wyczerpy condition memcompare Lubliniec * * endevent //inne ni 5511 jad na Wyczerpy
event CzO_It19_wyczerpy multiple 0 none CzO_It19>Wy2 CzO_It19:loop /* Wy_E_S2 */ endevent
//node -1 0 none eventlauncher 0 0 0 -1 none 1520 CzO_tlk61106 none end

//brak Wyczerpw - wstawi To zamiast SBL:
//include ts2zpyn.inc LK1_czwy_A04 -21694.673 250.22 9091.291 -48.01 ToA end
include ts2zpyn.inc LK1_SBL_2254 -21694.673 250.22 9091.291 -48.01 ToA end

//Ra 2J7D: wyjazd towara z CzS, o ile tor jest zajty - chyba jeszcze nie, bo trzeba by rozpoznawa skady i od Herbw/Liswarty wrzuca na wolniejszy, a w Lisowie na bok
node -1 0 none eventlauncher 0 0 0 -1 none 0542 czs_odjazd16981 none end
event czs_odjazd16981 multiple 30 CzS_It4 else CzS_It4>Gn1 CzS_It4:loop condition memcompare * * 0 endevent
node -1 0 none eventlauncher 0 0 0 -1 none 0708 lis_odjazd16981 none end
event lis_odjazd16981 multiple 30 Lis_It5 else Lis_It5>Kwc1 Lis_It5:loop condition memcompare * * 0 endevent
//towarowy w jedzie na Toszek, z toru 1 od Kochanowic, ewentualne inne pocigi bd kierowane na Lubliniec
event Kwc_ToR:event1 multiple 0 Kwc1-Jw1 L61-p148.5_zamykaj Jw_ItB>Dnw1 Jw_ItB:loop Dnw_7:- Dnw_6:- Dnw_5:- Dnw_F_S10 else L61-p148.5_zamykaj Jw_ItB>Lbc5 Jw_ItB:loop condition memcompare TME* * * endevent

//Ra 2K65: S2 od Droniowiczek :-)
event KrM-Dro_It2_009:event2 multiple 0 none KrM_G_S2 KrM_ToG_Os2 CzR_R_S2 CzR_ISpR_Sp2 CzR_ToR_Os2 CzR_D_S2 endevent
event TPln-Czr_It2_009:event2 multiple 0 none TP_K_S5 TP_ISpK_Sp2 TP_IISpK_Sp2 TP_ToK_Os2 endevent
