// l61_tlk38501.scm - ze Stradomia przez Herby Nowe do Wielunia
//Ra 2G9I: uycie "Gn_It1=CzS1 Gn_It1:loop" w celu przejazdu przez Gnaszyn, inne eventy dla Gnaszyna wyczone
//Ra 2G9M: podobnie dla Blachowni
//Ra 2J11: uruchomiony pocig 520 z Wielunia Dbrowy

//czenie eventw o tych samych nazwach tylko dla plikw sterujcych stacjami oraz blokad liniowych
config joinduplicatedevents yes endconfig
//LK61:
include lk61/czs_2011r.ctr end
include lk61/gn_2011r.ctr end
include lk61/bln_2011r.ctr end
include lk61/hrs_2011r.ctr end
include lk61/lsw_2011r.ctr end
include lk61/lis_2011r.ctr end
include lk61/kwc_2011r.ctr end
//blokady liniowe (z eventami zajcia i zwolnienia) dla oryginalnego ukadu scenerii
include linia61/linia61.ctr end
//LK131:
include lk131/kln_2011r.ctr end //Kalina
include lk131/hrn_2011r.ctr end //Herby Nowe
//LK181:
include lk181/krz_2003r.ctr end
include lk181/pnw_2003r.ctr end
include lk181/wnd_2003r.ctr end
include linia181/bloklin.ctr end
config joinduplicatedevents no endconfig

event gnaszyn_odj:event2 multiple 0 none HrS_G_s2 endevent //nie moe by tu S2, bo si jedzie z boku
event t109:event2 multiple 0 none HrS_39:- endevent
event t127:event2 multiple 0 none endevent //Ra 2G57: co tu jechao?
event t128:event2 multiple 0 none HrN_4:+ endevent
event t129:event2 multiple 0 none HrN_5:- endevent
event t130:event2 multiple 0 none HrN_11:- HrN_15:bc endevent
event t110:event2 multiple 0 none HrS_C_s2 endevent
//event t606:event1 multiple 0 none hs_czerwone odjazd_05 endevent
event t450:event1 multiple 0 none HrS_7:bc odjazd_02 endevent
event odjazd_03-to1:event1 multiple 0 none hs_wjazd endevent
event odjazd_03-os1:event1 multiple 0 none odjazd_03 endevent
event t510:event2 multiple 0 none CzS_K5_s11 endevent
event t401:event2 multiple 0 none HrN_18:- HrN_4:- HrS_39:- HrN_C3_s2 HrS_35:bc endevent
event t402:event2 multiple 0 none CzS_Z_s5 endevent
event t406:event2 multiple 0 none endevent
//event t460:event1 multiple 0 none hs_odjazd endevent
//event hs_naszodjazd:event1 multiple 0 none hs_odjazd endevent

//przeniesione z pliku SCN
node 800 0 odjazd_01_wav sound -1679.538 -12.4 253.359 radiotelefon/linia61/l61_gwizdek_25sek_op.wav endsound
node 800 0 odjazd_02_wav sound -3728.297 -8.4 111.169 radiotelefon/linia61/l61_gwizdek_25sek_op.wav endsound
node 800 0 odjazd_03_wav sound -2634.483 -12.4 -422.368 radiotelefon/linia61/l61_kontrola3.wav endsound
node 800 0 odjazd_04_wav sound -10687.236 -8.4 3229.509 radiotelefon/linia61/l61_gwizdek_25sek_op.wav endsound
node 800 0 odjazd_05_wav sound -4240.906 -8.4 454.11 radiotelefon/linia61/l61_bacznosc_elektrycy.wav endsound
node 800 0 odjazd_06_wav sound -14735.645 -8.4 4759.913 radiotelefon/linia61/l61_gwizdek_25sek_op.wav endsound
node 800 0 odjazd_07_wav sound -2797.384 -8.4 -331.82 radiotelefon/linia61/4220_herby_swiecic.wav endsound

event odjazd_01:event1 sound 1 odjazd_01_wav 1 endevent
event odjazd_02 sound 1 odjazd_02_wav 1 endevent
event odjazd_03 sound 1 odjazd_03_wav 1 6 endevent
event odjazd_04:event2 sound 1 odjazd_04_wav 1 endevent
event odjazd_05 sound 1 odjazd_05_wav 1 3 endevent
event odjazd_06:event2 sound 1 odjazd_06_wav 1 endevent
event odjazd_07 sound 2 odjazd_07_wav 1 3 endevent

node -1 0 memStart memcell -1760.089 259.299 40.037 Wait_for_orders 0 0 hn_kibello1 endmemcell
event onstart UpdateValues 5 memStart Prepare_engine 1 0 endevent

//event hs_odjazd multiple 1 none HrS_C_s10 HrS_C_w24 HrS_6:- HrS_7:bc Bln_25:- Bln_26:- Bln_Z_s13 endevent
//event hs_czerwone multiple 1 none HrS_C_s1 HrS_C_w24off endevent
event hs_zaswiec multiple 26 none HrS_T_s13 endevent
event zdarzenie_poczatkowe_onstart multiple 20 none CzS_R1_s2 Gn_It1=CzS1 Gn_It1:loop Bln_It1=Gn1 Bln_It1:loop endevent
event t609:event2 multiple 60 none hrn_torem1 else hrn_torem4 condition propability 0.5 endevent
event hrn_torem1 multiple 1 none HrS_3:bd HrS_A_s4 HrS_R_s10 HrS_36:bc hrn_cd endevent
event hrn_torem4 multiple 1 none HrS_3:bd HrS_6:- HrS_7:bd HrS_8:bc HrS_33:bc HrS_35:ac HrS_36:ac hrn_ztoru4 endevent
event hrn_ztoru4 multiple 3 none HrS_A_s10 HrS_N_s10 hrn_cd endevent
event hrn_cd multiple 50 none HrN_B_s13 HrN_4:+ HrN_5:- HrN_11:+ HrN_14:+ HrN_17:+ endevent
event hs_wjazd multiple 0 none HrS_T_sem_info odjazd_07 hs_zaswiec L61-p134.8_zamykaj endevent

event xxxx:event1 multiple 30 none CzS_24:- CzS_13:+ CzS_10:bd CzS_7:bd CzS_2:- CzS_F2_s10 endevent //2FCR Ra: do CzO

event HrN_17:event2 multiple 60 none HrN_62:ad HrN_66:bc HrN_F1_s10 doWielunia endevent
event doWielunia multiple 360 none Pn_B_S2 Pn_M_S2 Krz_B_S2 Krz_M_S2 Ja_A_S2 Ja_M_S2 endevent
node -1 0 none eventlauncher -19530 250 5600 -1 none 325 PnW_38501_przelot none end
event PnW_38501_przelot multiple 0 PnW_It1 PnW_It1=Ja1 PnW_It1:loop doWieruszowa condition memcompare * * 0 endevent
event doWieruszowa multiple 360 none WnD_It1=PnW1 WnD_It1:loop Cz_B_S2 Cz_J_S2 Wr_A_S5 endevent
event Wieruszw_Miasto#2:event1 multiple 60 none Wr_B_S2 Wr_L_S2 Kpn_A_S2 Kpn_L_S2 endevent

//sterowanie ruchem dla 520 z Wielunia Dbrowy
node -1 0 none eventlauncher -19530 250 5600 -1 none 319 WnD_520_wyjazd none end
event WnD_520_wyjazd multiple 20 WnD_It4 else WnD_It4>PnW1 WnD_It4:loop PnW_It2<WnD1 PnW_It2:loop condition memcompare * * 0 endevent
node -1 0 none eventlauncher -19530 250 5600 -1 none 341 PnW_520_wyjazd none end
event PnW_520_wyjazd multiple 20 PnW_It2 else PnW_It2>Ja1 PnW_It2:loop Ja_O_S2 Ja_D_S2 Krz_O_S2 Krz_D_S2 Pn_R_S2 Pn_D_S2 condition memcompare * * 0 endevent
